GET https://api.cryptohopper.com/v1/hopper/{id}/config/pool/{pool_id}

Returns one config pool of the hopper with its coins and config.

OAuth scope: read About scopes

Example request

curl "https://api.cryptohopper.com/v1/hopper/HOPPER_ID/config/pool/POOL_ID" \
  -H "access-token: YOUR_ACCESS_TOKEN"

Parameters

Headers

NameTypeRequiredDescription
access-token string Required The OAuth access token of the user.

Path parameters

NameTypeRequiredDescription
pool_id string Required Config pool ID.
id string Required Hopper ID.

Response

Example response (illustrative values)

{
    "data": {
        "id": "2345",
        "name": "Altcoins",
        "coins": "ETH,SOL",
        "config": {
            "max_open_positions": 5,
            "stop_loss": 1,
            "stop_loss_percentage": 4
        },
        "updated": "2026-09-20 12:00:00",
        "status": "1"
    }
}

Status codes: 200. Errors return JSON with status, error and message. See How the API works for response codes and rate limits.